Skip to main content
PUT
/
v1
/
issuer
/
cases
/
{case_id}
Update a case
curl --request PUT \
  --url https://api.decisionly.com/v1/issuer/cases/{case_id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_fields": {},
  "file": "auto",
  "issuer_evidence": {
    "card": {
      "active": true,
      "cardholder_has_possession": true,
      "lost_date": "2023-11-07T05:31:56Z",
      "possession_at_transaction": "had_possession"
    },
    "cardholder_message": "<string>",
    "correct_amount": 123,
    "correct_currency": "<string>",
    "documentation": [
      "<string>"
    ],
    "explanation": "<string>",
    "fraud": {
      "submit_report": true,
      "was_reported": true
    },
    "prior_transaction": {
      "amount": 123,
      "arn": "<string>",
      "card_expiry_month": 6,
      "card_expiry_year": 123,
      "card_fingerprint": "<string>",
      "card_last4": "<string>",
      "card_network": "visa",
      "card_type": "credit",
      "currency": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "issuer_id": "<string>",
      "switch_serial_number": "<string>",
      "system": "single_message"
    },
    "product": {
      "condition": "<string>",
      "delivery_date": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "expected_delivery_date": "2023-11-07T05:31:56Z",
      "order_id": "<string>",
      "type": "merchandise"
    },
    "refund": {
      "description": "<string>",
      "policy_provided": true,
      "promise_date": "2023-11-07T05:31:56Z",
      "promised": true
    },
    "resolution": {
      "cancellation_date": "2023-11-07T05:31:56Z",
      "cancellation_description": "<string>",
      "cancellation_id": "<string>",
      "contact_date": "2023-11-07T05:31:56Z",
      "contact_description": "<string>",
      "contact_prohibited_description": "<string>",
      "contact_success": true,
      "contact_was_attempted": true,
      "return_date": "2023-11-07T05:31:56Z",
      "return_description": "<string>",
      "return_shipping_carrier": "<string>",
      "return_shipping_tracking": "<string>",
      "return_success": true,
      "return_was_attempted": true
    },
    "service_end_date": "2023-11-07T05:31:56Z"
  },
  "reason": "invalid_authorization"
}
'
{
  "cardholder": {
    "name": "<string>",
    "billing_address": {
      "city": "San Francisco",
      "country": "US",
      "line1": "742 Evergreen Terrace",
      "line2": "Unit 5B",
      "postal_code": "94102",
      "state": "CA"
    },
    "email": "jsmith@example.com",
    "issuer_id": "<string>",
    "type": "individual"
  },
  "case_id": "<string>",
  "chargeback_due_date": "2023-11-07T05:31:56Z",
  "closed_reason": "accepted",
  "created": "2023-11-07T05:31:56Z",
  "custom_fields": {},
  "dispute": {
    "amount": 123,
    "currency": "<string>",
    "date": "2023-11-07T05:31:56Z"
  },
  "issuer_evidence": {
    "card": {
      "active": true,
      "cardholder_has_possession": true,
      "lost_date": "2023-11-07T05:31:56Z",
      "possession_at_transaction": "had_possession"
    },
    "cardholder_message": "<string>",
    "correct_amount": 123,
    "correct_currency": "<string>",
    "documentation": [
      "<string>"
    ],
    "explanation": "<string>",
    "fraud": {
      "submit_report": true,
      "was_reported": true
    },
    "prior_transaction": {
      "amount": 123,
      "arn": "<string>",
      "card_expiry_month": 6,
      "card_expiry_year": 123,
      "card_fingerprint": "<string>",
      "card_last4": "<string>",
      "card_network": "visa",
      "card_type": "credit",
      "currency": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "issuer_id": "<string>",
      "switch_serial_number": "<string>",
      "system": "single_message"
    },
    "product": {
      "condition": "<string>",
      "delivery_date": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "expected_delivery_date": "2023-11-07T05:31:56Z",
      "order_id": "<string>",
      "type": "merchandise"
    },
    "refund": {
      "description": "<string>",
      "policy_provided": true,
      "promise_date": "2023-11-07T05:31:56Z",
      "promised": true
    },
    "resolution": {
      "cancellation_date": "2023-11-07T05:31:56Z",
      "cancellation_description": "<string>",
      "cancellation_id": "<string>",
      "contact_date": "2023-11-07T05:31:56Z",
      "contact_description": "<string>",
      "contact_prohibited_description": "<string>",
      "contact_success": true,
      "contact_was_attempted": true,
      "return_date": "2023-11-07T05:31:56Z",
      "return_description": "<string>",
      "return_shipping_carrier": "<string>",
      "return_shipping_tracking": "<string>",
      "return_success": true,
      "return_was_attempted": true
    },
    "service_end_date": "2023-11-07T05:31:56Z"
  },
  "merchant": {
    "name": "<string>",
    "category_code": "<string>",
    "issuer_id": "<string>"
  },
  "program_id": "550e8400-e29b-41d4-a716-446655440000",
  "reason": "<string>",
  "review_status": "chargeback_needs_review",
  "status": "created",
  "transaction": {
    "amount": 2,
    "card_expiry_month": 6,
    "card_expiry_year": 123,
    "card_last4": "<string>",
    "card_network": "visa",
    "card_type": "credit",
    "currency": "<string>",
    "date": "2023-11-07T05:31:56Z",
    "arn": "<string>",
    "issuer_id": "<string>",
    "switch_serial_number": "<string>",
    "system": "single_message"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.decisionly.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your API key as the username. No password is required.

Path Parameters

case_id
string
required

Body

application/json
cardholder
object
custom_fields
object

Custom key-value pairs for storing additional data with your cases. See Custom Fields documentation for more details.

dispute
object
file
enum<string> | null

Filing mode. Use 'auto' to evaluate workflow rules, or 'chargeback' to file immediately.

Available options:
auto,
chargeback
issuer_evidence
object
merchant
object
reason
enum<string>

The reason for the dispute.

Available options:
invalid_authorization,
fraud,
product_not_received,
product_unacceptable,
not_as_described,
credit_not_processed,
duplicate,
incorrect_amount,
canceled_recurring,
other
transaction
object

Details of the disputed transaction. Either arn or switch_serial_number is required.

Response

200 - application/json

Returns the updated case.

cardholder
object
case_id
string

Unique identifier for the case.

Maximum string length: 126
chargeback_due_date
string<date-time> | null

Deadline for filing the chargeback. Null if unknown.

closed_reason
enum<string> | null

Reason the case was closed, if applicable.

Available options:
accepted,
rejected,
expired,
withdrawn,
merchant_credited
created
string<date-time>

When the case was created.

custom_fields
object

Custom key-value pairs for storing additional data with your cases. See Custom Fields documentation for more details.

dispute
object
issuer_evidence
object
merchant
object
program_id
string | null

Your unique identifier for the card program the case belongs to.

Maximum string length: 126
Example:

"550e8400-e29b-41d4-a716-446655440000"

reason
string

The reason for the dispute.

review_status
enum<string> | null

Review status of the case. Set when the case requires manual review.

Available options:
chargeback_needs_review
status
enum<string>

Current status of the case.

Available options:
created,
chargeback_filed,
chargeback_represented,
prearb_filed,
prearb_rebutted,
arbitration_filed,
won,
lost,
closed
transaction
object

Details of the disputed transaction. Either arn or switch_serial_number is required.